summaryrefslogtreecommitdiff
path: root/SpMV
diff options
context:
space:
mode:
Diffstat (limited to 'SpMV')
-rwxr-xr-xSpMV/run-paper-strong-full.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/SpMV/run-paper-strong-full.sh b/SpMV/run-paper-strong-full.sh
index 21f3d25..e4d7260 100755
--- a/SpMV/run-paper-strong-full.sh
+++ b/SpMV/run-paper-strong-full.sh
@@ -8,15 +8,22 @@ echo "prim-benchmarks SpMV strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 256 512 1024 2048; do
+cd data/generate
+./replicate ../bcsstk30.mtx 64 ../bcsstk30.mtx.64.mtx
+cd ../..
+
+# 2544 is not in upstream
+for nr_dpus in 2544 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} verbose=1; then
# repetition is not part of upstream setup
for i in `seq 1 50`; do
- timeout --foreground -k 1m 3m bin/host_code -v 0 || true
+ timeout --foreground -k 1m 3m bin/host_code -v 0 -f data/bcsstk30.mtx.64.mtx || true
done
fi
done
done
) | tee log-paper-strong-full.txt
+
+rm -f data/bcsstk30.mtx.64.mtx